PETSc version 3.15.5
Fix/Edit manual page

# PCApplySymmetricLeft

Applies the left part of a symmetric preconditioner to a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCApplySymmetricLeft(PC pc,Vec x,Vec y)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| x | - input vector

### Output Parameter

| y | - output vector

### Notes

Currently, this routine is implemented only for PCICC and PCJACOBI preconditioners.

### See Also

PCApply(), PCApplySymmetricRight()

### Level

developer

### Location

src/ksp/pc/interface/precon.c

### Implementations

PCApplySymmetricLeft_Cholesky in src/ksp/pc/impls/factor/cholesky/cholesky.c
PCApplySymmetricLeft_ICC in src/ksp/pc/impls/factor/icc/icc.c
PCApplySymmetricLeft_ILU in src/ksp/pc/impls/factor/ilu/ilu.c
PCApplySymmetricLeft_Shell in src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages